Last Comment Bug 655562 - Crash in the No Comply demo (mozjs!js::GCMarker::drainMarkStack+0x0000029b) [@ js::gc::PushMarkStack ][@ mozjs.dll]
: Crash in the No Comply demo (mozjs!js::GCMarker::drainMarkStack+0x0000029b) [...
Status: RESOLVED FIXED
webgl demo
: crash, regression
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 Windows 7
: -- critical (vote)
: ---
Assigned To: general
:
Mentors:
https://mozillademos.org/demos/nocomp...
Depends on: 652931
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-08 02:07 PDT by JK
Modified: 2015-10-07 18:43 PDT (History)
8 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
windbg log (113.67 KB, text/plain)
2011-05-08 02:18 PDT, JK
no flags Details

Description JK 2011-05-08 02:07:48 PDT
User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0.1) Gecko/20100101 Firefox/4.0.1
Build Identifier: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:6.0a1) Gecko/20110507 Firefox/6.0a1

The browser crashes in the No Comply demo during the train part.

bp-9a4f3249-cd8a-4f3e-bf0f-ade8f2110508

Works in Aurora.

Reproducible: Always
Comment 1 JK 2011-05-08 02:18:19 PDT
Created attachment 530901 [details]
windbg log
Comment 2 JK 2011-05-08 02:35:38 PDT
Crash report with Mozilla/5.0 (Windows NT 6.1; WOW64; rv:6.0a1) Gecko/20110506 Firefox/6.0a1:

bp-acefb97b-451f-463c-9289-5b3fd2110508
Comment 3 (mostly gone) XtC4UaLL [:xtc4uall] 2011-05-08 02:44:44 PDT
Frame 	Module 	Signature 	Source
0 	mozjs.dll 	js::gc::PushMarkStack 	js/src/jsgcmark.cpp:176
1 	mozjs.dll 	js::GCMarker::drainMarkStack() 	js/src/jsgcmark.cpp:699
Comment 4 Raul Malea 2011-05-08 06:46:22 PDT
Confirmed.

My crash report: https://crash-stats.mozilla.com/report/index/bp-bddb7897-a30b-4751-b288-4fb242110508

Mozilla/5.0 (Windows NT 6.1; rv:6.0a1) Gecko/20110507 Firefox/6.0a1 ID:20110507030609
Comment 5 Gregor Wagner [:gwagner] 2011-05-10 16:20:52 PDT
Might be a dup of bug 652931. It landed on MC today. Can you try again?
Comment 6 Raul Malea 2011-05-11 13:35:08 PDT
No crash now. This bug is resolved perhaps by bug 652931

Mozilla/5.0 (Windows NT 6.1; rv:6.0a1) Gecko/20110511 Firefox/6.0a1 ID:20110511030639
Comment 7 chris hofmann 2011-05-24 15:00:55 PDT
here is where people have seen this in the crash data over the last month.  volume is not high so maybe page views are low, or reproducibility is hard.

20110501-crashdata.csv:arena_run_dalloc https://mozillademos.org/demos/nocomply/demo.html 4.0 \N
20110504-crashdata.csv:libxul.so@0x13b36aa https://mozillademos.org/demos/nocomply/demo.html 6.0a1 \N
20110506-crashdata.csv:js::GCMarker::drainMarkStack() https://mozillademos.org/demos/nocomply/demo.html 6.0a1 \N
20110507-crashdata.csv:mozalloc_abort(char const* const) | NS_DebugBreak_P | AbortIfOffMainThreadIfCheckFast https://mozillademos.org/demos/nocomply/demo.html 4.0.1 \N
20110508-crashdata.csv:mozjs.dll@0x4bf1b https://mozillademos.org/demos/nocomply/demo.html 6.0a1 \N
20110508-crashdata.csv:xul.dll@0x2f9281 https://mozillademos.org/demos/nocomply/demo.html 6.0a1 \N
20110508-crashdata.csv:mozjs.dll@0x4bd0e https://mozillademos.org/demos/nocomply/demo.html 6.0a1 \N
20110508-crashdata.csv:mozjs.dll@0x4bf1b https://mozillademos.org/demos/nocomply/demo.html 6.0a1 No Comply
20110508-crashdata.csv:mozjs.dll@0x4bf1b https://mozillademos.org/demos/nocomply/demo.html 6.0a1 \N
20110508-crashdata.csv:mozjs.dll@0x4bf1b https://mozillademos.org/demos/nocomply/demo.html 6.0a1 \N
20110508-crashdata.csv:js::gc::PushMarkStack https://mozillademos.org/demos/nocomply/demo.html 6.0a1 \N
20110508-crashdata.csv:js::GCMarker::drainMarkStack() https://mozillademos.org/demos/nocomply/demo.html 6.0a1 \N
20110508-crashdata.csv:js::GCMarker::drainMarkStack() https://mozillademos.org/demos/nocomply/demo.html 6.0a1 \N
20110508-crashdata.csv:mozjs.dll@0x4bf1b https://mozillademos.org/demos/nocomply/demo.html 6.0a1 known bug on crashing in No Comply demo.
20110508-crashdata.csv:mozjs.dll@0x4bf1b https://mozillademos.org/demos/nocomply/demo.html 6.0a1 \N
20110508-crashdata.csv:mozjs.dll@0x4bf1b https://mozillademos.org/demos/nocomply/demo.html 6.0a1 \N
20110508-crashdata.csv:mozjs.dll@0x1f876c https://mozillademos.org/demos/nocomply/demo.html 6.0a1 Crash. Train parts of video. Bug is reported.
20110508-crashdata.csv:mozjs.dll@0x9088b https://mozillademos.org/demos/nocomply/demo.html 6.0a1 \N
20110508-crashdata.csv:mozjs.dll@0x90802 https://mozillademos.org/demos/nocomply/demo.html 6.0a1 \N
20110510-crashdata.csv:js::GCMarker::drainMarkStack() https://mozillademos.org/demos/nocomply/demo.html 6.0a1 \N
20110517-crashdata.csv:ig4icd32.dll@0x564ee2 https://mozillademos.org/demos/nocomply/demo.html 4.0.1 \N
20110523-crashdata.csv: https://mozillademos.org/demos/nocomply/demo.html 4.0.1 \N

Note You need to log in before you can comment on or make changes to this bug.